export default {
    presets: [
        [
            require.resolve('@babel/preset-env'),
            {
                useBuiltIns: 'entry',
                corejs: '3'
            }
        ],
        require.resolve('@babel/preset-react'),
        [require.resolve('@babel/preset-typescript'), {
            onlyRemoveTypeImports: true
        }]
    ],
    plugins: [
        require.resolve('@babel/plugin-transform-runtime'),
        require.resolve('@babel/plugin-proposal-async-generator-functions'),
        require.resolve('@babel/plugin-proposal-function-bind'),
        require.resolve('@babel/plugin-proposal-optional-chaining'),
        [require.resolve('@babel/plugin-proposal-decorators'), {legacy: true}],
        require.resolve('@babel/plugin-proposal-class-properties'),
        require.resolve('@babel/plugin-transform-classes')
    ]
};
