import path from 'path';
const root = process.cwd();

export default {
    root,
    getJoinPath: function getJoinPath(...args: string[]) {
        return path.join(root, ...args);
    },
    getResolvePath: function getResolvePath(filePath: string) {
        return path.resolve(root, filePath);
    }
};
